<TeXmacs|1.99.1>

<style|<tuple|beamer|metal>>

<\body>
  <screens|<\hidden>
    <samp|>

    \;

    \;

    \;

    <\doc-data|<doc-title|On Factoring Operators in <math|n>
    Variables>|<\doc-note>
      Joint work with Mark Giesbrecht and Viktor Levandovskyy
    </doc-note>|<\doc-date>
      2014--02-14

      <\equation*>
        <around*|(|x<rsup|2>+y<rsup|2>-1|)><rsup|3>-x<rsup|2>y<rsup|3>=0
      </equation*>
    </doc-date>>
      \;
    </doc-data|<doc-author|<author-data|<author-name|Albert
    Heinle>|<\author-affiliation>
      David R. Cheriton School of Computer Science
    </author-affiliation>|<\author-misc>
      Ph.D. Seminar
    </author-misc>>>>

    \;

    \;
  </hidden>|<\hidden>
    <tit|Table of Contents>

    \;

    \;

    <\table-of-contents|toc>
      <vspace*|1fn><with|font-series|bold|math-font-series|bold|1<space|2spc>Basic
      Notations and Definitions><vspace|0.5fn>

      <vspace*|1fn><with|font-series|bold|math-font-series|bold|2<space|2spc>Noncommutative
      Factorization Horror>

      <vspace*|1fn><with|font-series|bold|math-font-series|bold|3<space|2spc>Factorization
      in <with|color|#602020|<with|mode|math|A<rsub|n>>>>\ 

      <vspace*|1fn><with|font-series|bold|math-font-series|bold|4<space|2spc>Implementation
      in <with|font-family|rm|font-shape|small-caps|Singular>><vspace|0.5fn>

      <vspace*|1fn><with|font-series|bold|math-font-series|bold|5<space|2spc>Conclusion><vspace|0.5fn>

      <vspace*|1fn><with|font-series|bold|math-font-series|bold|Bibliography>
    </table-of-contents>
  </hidden>|<\hidden>
    <tit|Introduction>

    <section|Basic Notations and Definitions>

    <\itemize>
      <item>By <math|\<bbb-K\>\<nocomma\>>, we always denote a field of
      characteristic zero

      <item>Notational convenience: For <math|n \<in\>\<bbb-N\>>, we write
      <math|<wide*|n|\<bar\>>> for the set
      <math|<around*|{|1,\<ldots\>\<nocomma\>,n|}>>

      <item>Notational convenience: We occasionally abbreviate a selection of
      variables <math|v<rsub|1>,\<ldots\>,v<rsub|n>> by
      <math|<wide*|v|\<bar\>>>.
    </itemize>

    <\definition>
      The <strong|<math|n>th <strong|<math|<wide*|q|\<bar\>>>-Weyl algebra
      <math|Q<rsub|n>>>> for <math|n \<in\>\<bbb-N\>> is defined as

      <\eqnarray*>
        <tformat|<table|<row|<cell|Q<rsub|n>>|<cell|\<assign\>>|<cell|\<bbb-K\><left|\<langle\>>x<rsub|1>,\<ldots\>,x<rsub|n>\<nocomma\>,\<partial\><rsub|1>,\<ldots\>,\<partial\><rsub|n><mid|\|>
        <text|for ><around*|(|i,j|)>\<in\>\<bbb-N\>:>>|<row|<cell|>|<cell|>|<cell|<space|3.8spc>\<partial\><rsub|i>x<rsub|j>=
        <choice|<tformat|<cwith|1|1|1|1|cell-valign|b>|<table|<row|<cell|x<rsub|j>\<partial\><rsub|i>\<nocomma\>,if
        i\<neq\>j>>|<row|<cell|q<rsub|i>x<rsub|j>\<partial\><rsub|i>+1,if
        i=j>>>>>\<nocomma\>, <space|2.8spc>\<partial\><rsub|i>\<partial\><rsub|j>-\<partial\><rsub|j>\<partial\><rsub|i>
        = x<rsub|i>x<rsub|j>-x<rsub|j>x<rsub|i> = 0<left|rangle>,>>>>
      </eqnarray*>

      where <math|q<rsub|1>,\<ldots\>,q<rsub|n>> are units in
      <math|\<bbb-K\>>. For the special case where
      <math|q<rsub|1>=\<ldots\>=q<rsub|n>=1> we have the <strong|<math|n>th
      Weyl algebra>, which is denoted by <strong|<math|A<rsub|n>>>. For
      notational convenience, we write

      <\equation*>
        <wide*|X|\<bar\>><rsup|e><wide*|D|\<bar\>><rsup|w>=x<rsub|1><rsup|e<rsub|1>>*\<cdots\>*x<rsub|n><rsup|e<rsub|n>>\<partial\><rsub|1><rsup|w<rsub|1>>*\<cdots\>*\<partial\><rsub|n><rsup|w<rsub|n>>
      </equation*>

      for every monomial, where <math|e,w\<in\>\<bbb-N\><rsub|0><rsup|n>>.
    </definition>
  </hidden>|<\hidden>
    <tit|Introduction>

    <\definition>
      The <strong|<math|n>th <strong|shift algebra <math|\<cal-S\><rsub|n>>>>
      for <math|n \<in\>\<bbb-N\>> is defined as

      <\eqnarray*>
        <tformat|<table|<row|<cell|Q<rsub|n>>|<cell|\<assign\>>|<cell|\<bbb-K\><around*|\<langle\>||\<nobracket\>>x<rsub|1>,\<ldots\>,x<rsub|n>\<nocomma\>,s<rsub|1>,\<ldots\>,s<rsub|n><mid|\|>
        <text|for ><around*|(|i,j|)>\<in\>\<bbb-N\>:>>|<row|<cell|>|<cell|>|<cell|<space|3.8spc>s<rsub|i>x<rsub|j>=
        <choice|<tformat|<cwith|1|1|1|1|cell-valign|b>|<table|<row|<cell|x<rsub|j>s<rsub|i>\<nocomma\>,if
        i\<neq\>j>>|<row|<cell|<around*|(|x<rsub|j>+1|)>s<rsub|i>,if
        i=j>>>>>\<nocomma\>, <space|2.8spc>s<rsub|i>s<rsub|j>-s<rsub|j>s<rsub|i>
        = x<rsub|i>x<rsub|j>-x<rsub|j>x<rsub|i> =
        0<around*|\<rangle\>||\<nobracket\>>.>>>>
      </eqnarray*>

      For notational convenience, we write

      <\equation*>
        <wide*|X|\<bar\>><rsup|e><wide*|S|\<bar\>><rsup|w>=x<rsub|1><rsup|e<rsub|1>>*\<cdots\>*x<rsub|n><rsup|e<rsub|n>>s<rsub|1><rsup|w<rsub|1>>*\<cdots\>*s<rsub|n><rsup|w<rsub|n>>
      </equation*>

      for every monomial, where <math|e,w\<in\>\<bbb-N\><rsub|0><rsup|n>>.
    </definition>

    <\remark>
      \;

      <\itemize>
        <item>Focus mainly on the <math|n>th Weyl algebra

        <item>Results can be analogously applied to
        <math|<wide*|q|\<bar\>>>-Weyl algebras

        <item><math|<text|Factorization problem in shift algebras
        >\<subset\><text| Factorization problem in Weyl algebras>> (later)
      </itemize>
    </remark>
  </hidden>|<\hidden>
    <tit|Introduction>

    <strong|Question:> What is the Motivation?

    <strong|Answer:> Weyl algebras and shift algebras are algebraic
    abstractions of the differential- resp. the shift operators.

    Factoring <math|\<Longrightarrow\> >simplifying solving associated
    differential resp. shift equation.

    <\note>
      Introduce the following linear operators on
      <math|\<cal-C\><rsup|\<infty\>><around*|(|\<bbb-K\>|)>> with
      indeterminate <math|x>:

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<cal-X\>:\<cal-C\><rsup|\<infty\>><around*|(|\<bbb-K\>|)>\<rightarrow\>\<cal-C\><rsup|\<infty\>><around*|(|\<bbb-K\>|)>\<nocomma\>,f\<mapsto\>x\<cdot\>f,>|<cell|>|<cell|\<cal-D\>:\<cal-C\><rsup|\<infty\>><around*|(|\<bbb-K\>|)>\<rightarrow\>\<cal-C\><rsup|\<infty\>><around*|(|\<bbb-K\>|)>\<nocomma\>,f\<mapsto\><frac|\<partial\>f|\<partial\>x>,>>|<row|<cell|>|<cell|>|<cell|\<cal-S\>:
        \<cal-C\><rsup|\<infty\>><around*|(|\<bbb-K\>|)>\<rightarrow\>\<cal-C\><rsup|\<infty\>><around*|(|\<bbb-K\>|)>\<nocomma\>,f\<mapsto\>f<around*|(|x+1|)>.>>>>
      </eqnarray*>

      The Leibniz rule for any <math|f\<in\>><math|\<cal-C\><rsup|\<infty\>><around*|(|\<bbb-K\>|)>>:

      <\equation*>
        \<cal-D\>\<cal-X\>f = x<frac|\<partial\>f|\<partial\>x>
        \<noplus\>+f=<around*|(|\<cal-X\>\<cal-D\>+1|)>f.
      </equation*>

      Similarly:

      <\equation*>
        \<cal-S\>\<cal-X\>f = <around*|(|x+1|)>\<cdot\>f<around*|(|x+1|)>=<around*|(|\<cal-X\>+1|)>\<cal-S\>f.
      </equation*>

      Thus: <math|\<cal-D\>\<cal-X\>=\<cal-X\>\<cal-D\>+1> and
      <math|\<cal-S\>\<cal-X\>=<around*|(|\<cal-X\>+1|)>\<cal-S\>>.
    </note>
  </hidden>|<\hidden>
    <tit|Introduction>

    <\definition>
      In <math|A<rsub|n>>, we define for <math|i\<in\><wide*|n|\<bar\>>> the
      so-called <strong|Euler Operators> <math|\<theta\><rsub|i>\<assign\>x<rsub|i>\<partial\><rsub|i>>.
    </definition>

    Easy to see: <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>> is a
    commutative subring of <math|A<rsub|n>>.

    \;

    <strong|Reminder (past):> Nontrivial <math|\<bbb-Z\>>-grading on
    <math|A<rsub|1>> (weight vector <math|<around*|[|-v,v|]>> for
    <math|v\<in\>\<bbb-Z\><around*|\\||{>0<around*|}||\<nobracket\>>>).

    The same grading lies behind the Kashiwara and Malgrange
    <math|V>-filtration <cite|Kashiwara:1983>,<cite|Malgrange:1983>.

    Van Hoeij utilized it for factoring differential operators with power
    series coefficients <cite|van1997formal>.

    <\example>
      We have in <math|A<rsub|1>>

      <\equation*>
        deg<around*|(|\<theta\><rsub|1>|)>=deg<around*|(|x<rsub|1>\<partial\><rsub|1>|)>
        = deg<around*|(|\<partial\><rsub|1>x<rsub|1>-1|)>=0
      </equation*>

      and

      <\equation*>
        deg<around*|(|x<rsub|1><rsup|3>\<partial\><rsub|1><rsup|4>
        \<noplus\>+5\<partial\><rsub|1>|)>=1.
      </equation*>
    </example>
  </hidden>|<\hidden>
    <tit|Introduction>

    <strong|Idea: >For <math|n>th Weyl algebra, extend this to
    <math|\<bbb-Z\><rsup|n>>

    <\proposition>
      The <math|n>th Weyl algebra posesses a nontrivial
      <math|\<bbb-Z\><rsup|n>> grading when utilizing the weight vector
      <math|<around*|[|-w,w|]>> for <math|w\<in\>\<bbb-Z\><rsup|n>\\<around*|{|<wide*|0|\<bar\>>|}>>
      in <math|A<rsub|n>>.
    </proposition>

    For simplicity: <math|w\<assign\><around*|[|1,\<ldots\>,1|]>>. View
    <math|\<bbb-Z\><rsup|n>> as an ordered monoid; canonical lexicographic
    ordering.

    <\definition>
      <math|deg>denotes the degree induced by <math|w>, i.e. for
      <math|a,b\<in\>\<bbb-N\><rsub|0><rsup|n>>

      <\equation*>
        deg<around*|(|X<rsup|a>D<rsup|b>|)>\<assign\><around*|[|b<rsub|1>-a<rsub|1>,\<ldots\>,b<rsub|n>-a<rsub|n>|]>.
      </equation*>
    </definition>

    <\example>
      In the second Weyl algebra <math|A<rsub|2>> one has

      <\equation*>
        deg<around*|(|x<rsub|1>x<rsub|2>\<partial\><rsub|1>\<partial\><rsub|2>|)>
        = deg<around*|(|<around*|(|\<partial\><rsub|1>x<rsub|1>-1|)>x<rsub|2>\<partial\><rsub|2>|)>=<around*|[|0,0|]>
      </equation*>

      and

      <\equation*>
        deg<around*|(|x<rsub|1>\<partial\><rsub|1><rsup|2>x<rsub|2>\<noplus\>+x<rsub|1><rsup|4>\<partial\><rsub|1><rsup|5>x<rsub|2>+\<partial\><rsub|1>x<rsub|2>|)>=<around*|[|1,-1|]>.
      </equation*>
    </example>
  </hidden>|<\hidden>
    <tit|Noncommutative Factorization Horror>

    <section|Noncommutative Factorization Horror>

    <big-figure|<inactive|<image|pics/morpheus.jpg|377px|377px||>>|Picture
    generated on <hlink|memegenerator.net|>>
  </hidden>|<\hidden>
    <tit|Noncommutative Factorization Horror>

    <subsection|The Appearance of Distinct Factorizations>

    <strong|Commutative multivariate polynomial rings:> factorizations is
    unique up to multiplication by units and interchanging of the factors.

    <strong|Ore Domains:> Factors are unique up to <strong|similarity>
    (compare <cite|Bueso:2003>).

    <\definition>
      Let <math|R> be an Ore Domain. Then we call two non-units
      <math|a,b\<in\>R> <with|font-series|bold|similar>, if there exist
      <math|f,g\<in\>R>, such that <math|a\<cdot\>f=g\<cdot\>b>.
    </definition>

    <\example>
      <dueto|<cite|Tsai:2000>, Example 5.7>We have

      <\eqnarray*>
        <tformat|<table|<row|<cell|f>|<cell|=>|<cell|<around*|(|x<rsup|6>+2x<rsup|4>-3x<rsup|2>|)>\<partial\><rsup|2>-<around*|(|4x<rsup|5>-4x<rsup|4>-12x<rsup|2>-12x|)>\<partial\>+6x<rsup|4>-12x<rsup|3>-6x<rsup|2>-24x-12>>|<row|<cell|>|<cell|=>|<cell|<around*|(|<around*|(|x<rsup|4>-x<rsup|3>+3x<rsup|2>-3x|)>\<partial\>-3x<rsup|3>+6x<rsup|2>-3x+12|)>\<cdot\><around*|(|<around*|(|x<rsup|2>+x|)>\<partial\>-3x-1|)>>>|<row|<cell|>|<cell|=>|<cell|<around*|(|<around*|(|x<rsup|4>+x<rsup|3>+3x<rsup|2>+3x|)>\<partial\>-4x<rsup|3>+3x<rsup|2>-6x+3|)>\<cdot\><around*|(|<around*|(|x<rsup|2>-x|)>\<partial\>-2x+4|)>.>>>>
      </eqnarray*>
    </example>
  </hidden>|<\hidden>
    <tit|Noncommutative Factorization Horror>

    <subsection|Number of Distinct Factorizations in Polynomial Weyl
    Algebras>

    Let

    <\equation*>
      f\<assign\>x<rsub|1><rsup|6>\<partial\><rsub|1><rsup|6>+40x<rsub|1><rsup|5>\<partial\><rsub|1><rsup|5>+550x<rsub|1><rsup|4>\<partial\><rsub|1><rsup|4>+3200x<rsub|1><rsup|3>\<partial\><rsub|1><rsup|3>+7800x<rsub|1><rsup|2>\<partial\><rsub|1><rsup|2>+6720x<rsub|1>\<partial\><rsub|1>+1200\<in\>A<rsub|1>.
    </equation*>

    One can find

    <\equation*>
      \ 3547\ 
    </equation*>

    factorizations.

    In the paper <cite|heinle2013factorization>, Corrollary 2.8: For a
    special class of polynomials <math|A<rsub|1>>, the sharp upper bound of
    distinct factorizations is

    <\equation*>
      n!\<cdot\><matrix|<tformat|<table|<row|<cell|n+<around*|\||k|\|>>>|<row|<cell|<around*|\||k|\|>>>>>>,
    </equation*>

    where <math|n> is the amount of factors of <math|\<bbb-Z\>>-degree zero
    and <math|k> is the amount of all the other factors in one factorization
    into irreducible factors.
  </hidden>|<\hidden>
    <tit|Noncommutative Factorization Horror>

    <subsection|The rational Weyl algebra vs. the polynomial Weyl algebra>

    What happens, if you allow the <math|x<rsub|i>>s in the Weyl algebras to
    be rational arguments (with adapted commutation rules)?

    In fact, it <em|alters the factorization problem significantly.>

    <strong|Polynomial Weyl algebras>: Finitely many distinct factorizations
    for a given element.

    <strong|Rational Coefficients:> Infinitely many factorizations possible.

    <\example>
      For example, the polynomial

      <\equation*>
        \<partial\><rsub|1><rsup|2>
      </equation*>

      has only one possible factorization as element in the first polynomial
      Weyl algebra. In the first rational Weyl algebra, it factors for all
      <math|c\<in\>\<bbb-K\>> into

      <\equation*>
        \<partial\><rsub|1><rsup|2>=<around*|(|\<partial\><rsub|1>+<frac|1|x<rsub|1>+c>|)><around*|(|\<partial\><rsub|1>-<frac|1|x<rsub|1>+c>|)>.
      </equation*>

      \ 
    </example>
  </hidden>|<\hidden>
    <tit|Noncommutative Factorization Horror>

    <subsection|The Weyl-Hydra>

    Consider

    <\equation*>
      f = 10x<rsub|1><rsup|4>\<partial\><rsub|1><rsup|3>
      \<noplus\>+26x<rsub|1><rsup|3>\<partial\><rsub|1><rsup|3>+47x<rsub|1><rsup|4>-117x<rsub|1><rsup|3>\<partial\><rsub|1>-78x<rsub|1><rsup|2>\<partial\><rsub|1><rsup|2>+117x<rsub|1><rsup|2>+156x<rsub|1>\<partial\><rsub|1>-156\<in\>A<rsub|1>.
    </equation*>

    It is irreducible as element in <math|A<rsub|1>>, as well as element in
    the rational Weyl algebra.

    \;

    The product <math|f\<cdot\>x<rsub|1>> factorizes into

    <\equation*>
      x<rsub|1>\<cdot\>x<rsub|1>\<cdot\>x<rsub|1>\<cdot\>x<rsub|1>\<cdot\><around*|(|10x<rsub|1>\<partial\><rsub|1><rsup|2>+26\<partial\><rsub|1><rsup|3>+47x<rsub|1>-97\<partial\><rsub|1>|)>.*
    </equation*>

    <big-figure|<inactive|<image|pics/hydra.jpg|377px|168px||>>|Picture taken
    from <hlink|http://www.theoi.com/|>>
  </hidden>|<\hidden>
    <tit|Noncommutative Factorization Horror>

    <subsection|The Shapeshifter (thanks to D. Rettstadt)>

    Consider the following element in <math|A<rsub|1>:>
    <math|f=\<partial\><rsub|1><rsup|3>-x<rsub|1>\<partial\><rsub|1>-2>.

    It is irreducible as element in <math|A<rsub|1>>, but reducible in the
    rational first Weyl algebra.

    Factoring <math|x<rsub|1>\<cdot\>f> leads to another factorization

    <\equation*>
      \<partial\><rsub|1>\<cdot\><around*|(|x<rsub|1>\<partial\><rsub|1><rsup|2>-x<rsub|1><rsup|2>-\<partial\><rsub|1>|)>.
    </equation*>

    <big-figure|<inactive|<image|pics/shapeshifter.jpg|250px|200px||>>|Picture
    from <hlink|http://www.empireonline.com/|http://www.empireonline.com/>>
  </hidden>|<\hidden>
    <tit|Factorization of Homogeneous Elements in <math|A<rsub|n>>>

    <section|Factorization in <math|A<rsub|n>>>

    <subsection|Homogeneous Factorization>

    <\definition>
      We call a polynomial <strong|homogeneous> or <strong|graded>, if every
      summand has the same <math|\<bbb-Z\><rsup|n>>-degree.
    </definition>

    The graded part of degree <math|z\<in\>\<bbb-Z\><rsup|n>> in
    <math|A<rsub|n>> is described by the set

    <\equation*>
      A<rsub|n><rsup|<around*|(|z|)>>\<assign\><around*|{|<big|sum><rsub|e,w
      \<in\>\<bbb-N\><rsup|n><rsub|0>>r<rsub|e<space|0>w>X<rsup|e>D<rsup|w>
      <around*|\|||\<nobracket\>>r<rsub|e<space|0>w>\<in\>\<bbb-K\>, w - e
      =z|}>.
    </equation*>

    Clearly, every element in <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>
    is homogeneous of degree <math|<wide*|0|\<bar\>>>.

    <\lemma>
      <label|commutationTheta>In <math|A<rsub|n>>, the following commutation
      rules hold for <math|m\<in\>\<bbb-N\>> and
      <math|i\<in\><wide*|n|\<bar\>>>, which can be extended to arbitrary
      polynomials in <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>:

      <\equation*>
        \<theta\><rsub|i>x<rsub|i><rsup|m>=
        x<rsub|i><rsup|m><around*|(|\<theta\><rsub|i>+m|)>,<space|9.6spc>\<theta\><rsub|i>\<partial\><rsub|i><rsup|m>
        = \<partial\><rsub|i><rsup|m><around*|(|\<theta\><rsub|i>-m|)>.
      </equation*>
    </lemma>
  </hidden>|<\hidden>
    <tit|Factorization of Homogeneous Elements in <math|A<rsub|n>>>

    \;

    <\corollary>
      The <math|n>th shift algebra <math|\<cal-S\><rsub|n>> is isomorphic to
      a subring of <math|A<rsub|n>>. Hence, the factorization problem in
      <math|\<cal-S\><rsub|n>> can be reduced to the factorization problem in
      <math|A<rsub|n>>.

      <\proof>
        Identify the <math|x<rsub|i>> in <math|\<cal-S\><rsub|n>> with
        <math|\<theta\><rsub|i>> in <math|A<rsub|n>> and the <math|s<rsub|i>>
        in <math|\<cal-S\><rsub|n>> with <math|\<partial\><rsub|i>> in
        <math|A<rsub|n>>.
      </proof>
    </corollary>

    <\example>
      <dueto|<cite|Koepf:1998>>The element

      <\equation*>
        x<rsub|1><around|(|x<rsub|1>+1|)>s<rsub|1><rsup|2>-2x<rsub|1><around|(|x<rsub|1>+100|)>s<rsub|1>+<around*|(|x<rsub|1>+99|)><around*|(|x<rsub|1>+100|)>\<in\>\<cal-S\><rsub|1>
      </equation*>

      corresponds to<math|>

      <\equation*>
        \<theta\><rsub|1><around|(|\<theta\><rsub|1>+1|)>\<partial\><rsub|1><rsup|2>-2\<theta\><rsub|1><around|(|\<theta\><rsub|1>+100|)>\<partial\><rsub|1>+<around|(|\<theta\><rsub|1>+99|)><around*|(|\<theta\><rsub|1>+100|)>\<in\>A<rsub|1>.
      </equation*>
    </example>
  </hidden>|<\hidden>
    <tit|Factorization of Homogeneous Elements in <math|A<rsub|n>>>

    <\lemma>
      <label|lem:rewriteTheta>In <math|A<rsub|n>>, we have the following
      identity for <math|m\<in\>\<bbb-N\>> and
      <math|i\<in\><wide*|n|\<bar\>>>:

      <\equation*>
        x<rsub|i><rsup|m>\<partial\><rsub|i><rsup|m>=<big|prod><rsub|j=0><rsup|m-1><around*|(|\<theta\><rsub|i>-j|)><rsub|>.
      </equation*>
    </lemma>

    <\corollary>
      <math|A<rsub|1><rsup|<around*|(|<wide*|0|\<bar\>>|)>>\<cong\>><math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>.
    </corollary>

    <\lemma>
      <label|lem:cyclicBiModule>For <math|z\<in\>\<bbb-Z\><rsup|n>\\<around*|{|<underline|0>|}>>,
      the <math|z>th graded part <math|A<rsub|n><rsup|<around*|(|z|)>>> is a
      cyclic <math|\<bbb-K\><around*|[|<underline|\<theta\>>|]>>-bimodule,
      generated by the element <math|<wide*|X|\<bar\>><rsup|e<around*|(|z|)>><wide*|D|\<bar\>><rsup|w<around*|(|z|)>>>,
      where the exponent vectors are defined for
      <math|i\<in\><wide*|n|\<bar\>>> as follows:

      <\equation*>
        e<rsub|i><around*|(|z|)>\<assign\><choice|<tformat|<table|<row|<cell|-z<rsub|i\<nocomma\>>,<space|1spc><text|if
        > z<rsub|i>\<less\>0,>>|<row|<cell|0,<space|4.2spc><text|otherwise>>>>>>,<space|6.4spc>w<around*|(|z|)>
        \<assign\> <choice|<tformat|<table|<row|<cell|z<rsub|i>,<text| \ \ if
        >z<rsub|i>\<gtr\>0,>>|<row|<cell|0\<nocomma\>,<text|
        \ \ \ otherwise.>>>>>>
      </equation*>

      <\proof>
        Utilize Lemma <reference|lem:rewriteTheta> and Lemma
        <reference|commutationTheta>.
      </proof>
    </lemma>
  </hidden>|<\hidden>
    <tit|Factorization of Homogeneous Elements in <math|A<rsub|n>>>

    <\strong>
      \;

      What can we do with this knowledge?
    </strong>

    We can factorize homogeneous elements in <math|A<rsub|n>> by reduction to
    a commutative factorization problem, as every polynomial <math|f
    \<in\>A<rsub|n><rsup|<around*|(|z|)>>> for
    <math|z\<in\>\<bbb-Z\><rsup|n>> and <math|<wide|f|~>\<in\>A<rsub|n><rsup|<around*|(|0|)>>>
    factorizies into

    <\equation*>
      <tabular|<tformat|<table|<row|<cell|f =
      >>|<row|<cell|>>>>><tabular|<tformat|<table|<row|<cell|<wide*|<wide|f|~><around*|(|<wide*|\<theta\>|\<bar\>>|)>|\<wide-underbrace\>><space|12.4spc>\<cdot\>>>|<row|<cell|<text|factorization
      in >\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>>>>><space|2.2spc><tabular|<tformat|<table|<row|<cell|<wide*|<wide*|X|\<bar\>><rsup|e<around*|(|z|)>><wide*|D|\<bar\>><rsup|w<around*|(|z|)>>|\<wide-underbrace\>>>>|<row|<cell|<text|factorization
      trivial>>>>>>
    </equation*>

    <\example>
      Let <math|f\<assign\>x<rsub|1><rsup|2>x<rsub|2>\<partial\><rsub|1>\<partial\><rsub|2>
      \<noplus\>+2x<rsub|1>x<rsub|2>\<partial\><rsub|2>+x<rsub|1>\<in\>A<rsub|2><rsup|<around*|[|-1,0|]>>>.
      Excluding <math|x<rsub|1>> to the right results in

      <\eqnarray*>
        <tformat|<table|<row|<cell|f>|<cell|=>|<cell|<around*|(|x<rsub|1>\<partial\><rsub|1>x<rsub|2>\<partial\><rsub|2>+x<rsub|2>\<partial\><rsub|2>
        +1|)>\<cdot\>x<rsub|1>>>|<row|<cell|>|<cell|=>|<cell|<around*|(|\<theta\><rsub|1>\<theta\><rsub|2>
        \<noplus\>+\<theta\><rsub|2>+1|)>\<cdot\>x<rsub|1>.>>>>
      </eqnarray*>

      The element <math|\<theta\><rsub|1>\<theta\><rsub|2>
      \<noplus\>+\<theta\><rsub|2>+1> is irreducible as element in
      <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>.
    </example>
  </hidden>|<\hidden>
    <tit|Factorization of Homogeneous Elements in <math|A<rsub|n>>>

    \;

    <strong|Do we have a factorization into irreducible elements in this
    way?>

    No, consider for example <math|\<theta\><rsub|1>=x<rsub|1>\<cdot\>\<partial\><rsub|1>>.

    \;

    <strong|But fortunately:> Only <math|2n> irreducible monic elements exist
    in <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>, that are
    reducible in <math|A<rsub|n>>!

    <\lemma>
      Let <math|i \<in\><wide*|n|\<bar\>>>. The polynomials
      <math|\<theta\><rsub|i>> and <math|\<theta\><rsub|i>+1> are the only
      irreducible monic elements in <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>,
      that are reducible in <math|A<rsub|n>>.

      <\proof>
        We will sketch the main proof idea here. Assume
        <math|f\<in\>\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>> is
        irreducible in <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>,
        but reducible in <math|A<rsub|n>>.

        <\itemize-dot>
          <item>Every factor of a homogeneous polynomial must be homogeneous

          <item>If one factor is not of degree zero, one can swap the
          respective variables <math|x<rsub|i>> and
          <math|\<partial\><rsub|i>> to the right/left

          <math|\<Longrightarrow\>> It can be at most one variable in the
          power of 1 that is the non-<math|<wide*|\<theta\>|\<bar\>>>
          element. But then also the <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>
          factors must be units, otherwise contradiction as <math|f> is
          irreducible in <math|\<bbb-K\><around*|[|<underline|\<theta\>>|]>>.
        </itemize-dot>
      </proof>
    </lemma>
  </hidden>|<\hidden>
    <tit|Factorization of Homogeneous Elements in <math|A<rsub|n>>>

    \;

    <strong|Now we know how to get one factorization of a homogeneous element
    in <math|A<rsub|n>>.>

    To obtain all possible factorizations, only two operations are needed:

    <\enumerate-roman>
      <item>Swapping of adjacent factors due to the commutation rules and

      <item>Rewriting of occurring <math|\<theta\><rsub|i>> resp.
      <math|\<theta\><rsub|i>+1> as <math|x<rsub|i>\<partial\><rsub|i>> resp.
      <math|\<partial\><rsub|i>x<rsub|i>>.
    </enumerate-roman>

    <\example>
      Let <math|f\<assign\>x<rsub|1><rsup|2>x<rsub|2>\<partial\><rsub|1><rsup|2>\<partial\><rsub|2>
      \<noplus\>+2x<rsub|1>x<rsub|2>\<partial\><rsub|1>\<partial\><rsub|2>+x<rsub|1>\<partial\><rsub|1>+1\<in\>A<rsub|2><rsup|<around*|(|<underline|0>|)>>>.
      Rewritten and factored in <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>:

      <\equation*>
        f=\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+2\<theta\><rsub|1>\<theta\><rsub|2>+\<theta\><rsub|1>+1=<around*|(|\<theta\><rsub|1>\<theta\><rsub|2>+1|)>\<cdot\><around*|(|\<theta\><rsub|1>+1|)>.
      </equation*>

      Replacing <math|\<theta\><rsub|1>+1> by
      <math|\<partial\><rsub|1>\<cdot\>x<rsub|1>> and applying the
      commutation rules:

      <\eqnarray*>
        <tformat|<table|<row|<cell|f>|<cell|=>|<cell|<around*|(|\<theta\><rsub|1>\<theta\><rsub|2>+1|)>\<partial\><rsub|1>x<rsub|1>>>|<row|<cell|>|<cell|=>|<cell|\<partial\><rsub|1><around*|(|<around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+1|)>x<rsub|1>>>|<row|<cell|>|<cell|=>|<cell|\<partial\><rsub|1>x<rsub|1><around*|(|\<theta\><rsub|1>\<theta\><rsub|2>+1|)>>>>>
      </eqnarray*>
    </example>
  </hidden>|<\hidden>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>> >

    <subsection|Factoring Arbitrary Polynomials in <math|A<rsub|n>>>

    <strong|Preliminaries:>

    <\itemize-dot>
      <item><math|h\<in\>A<rsub|n>> is the (not homogeneous) polynomial we
      want to factorize

      <item><math|M\<assign\><around*|{|z<rsup|<around*|(|1|)>>,\<ldots\>,z<rsup|<around*|(|m|)>>|}>>
      is the set containing the degrees of the homogeneous summands of
      <math|h>, where <math|m\<in\>\<bbb-N\>> and
      <math|z<rsup|<around*|(|1|)>>\<gtr\>\<ldots\>\<gtr\>z<rsup|<around*|(|m|)>>>

      <item><strong|Assumption:> <math|h> posesses a nontrivial factorization
      of the form

      <\equation*>
        h = <big|sum><rsub|z\<in\>M>h<rsub|z>\<assign\>p<space|0.0spc>q=<around*|(|p<rsub|\<eta\><rsub|1>>+\<cdots\>+p<rsub|\<eta\><rsub|k>>|)>\<cdot\><around*|(|q<rsub|\<mu\><rsub|1>>+\<cdots\>+q<rsub|\<mu\><rsub|l>>|)>,
      </equation*>

      where <math|h<rsub|z>\<in\>A<rsub|n><rsup|<around*|(|z|)>>> for
      <math|z\<in\>\<bbb-Z\><rsup|n>>, <math|2\<leqslant\>k,l\<in\>\<bbb-N\>>,
      <math|\<eta\><rsub|1>\<gtr\>\<ldots\>\<gtr\>\<eta\><rsub|k>>,
      <math|\<mu\><rsub|1>\<gtr\>\<ldots\>\<gtr\>\<mu\><rsub|l>\<in\>\<bbb-Z\><rsup|n>>

      <item><strong|Knowledge:> <math|h<rsub|z<rsup|<around*|(|1|)>>>=p<rsub|\<eta\><rsub|1>>\<cdot\>q<rsub|\<mu\><rsub|1>>>
      and <math|h<rsub|z<rsup|<around*|(|m|)>>>=p<rsub|\<eta\><rsub|k>>\<cdot\>q<rsub|\<mu\><rsub|l>>>,
      as a finite set of candidates for <math|p<rsub|\<eta\><rsub|1>>,q<rsub|\<mu\><rsub|1>>,p<rsub|\<eta\><rsub|k>>>
      and <math|q<rsub|\<mu\><rsub|l>>> are obtained by factorizing
      <math|h<rsub|z<rsup|<around*|(|1|)>>>> resp.
      <math|h<rsub|z<rsup|<around*|(|m|)>>>>. We then also know
      <math|\<eta\><rsub|1>,\<eta\><rsub|k>,\<mu\><rsub|1>,\<mu\><rsub|l>>
    </itemize-dot>

    <strong|Question:> Does anything seem fishy in the last couple of items?
  </hidden>|<\hidden>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>> >

    <strong|Answer:> Yes, namely <math|k> and <math|l>.

    In general, there can be infinitely many <math|z\<in\>\<bbb-Z\><rsup|n>>,
    such that <math|\<eta\><rsub|1>\<gtr\>z\<gtr\>\<eta\><rsub|k>> resp.
    <math|\<mu\><rsub|1>\<gtr\>z\<gtr\>\<mu\><rsub|l>>.

    <strong|BUT:> We are component-wise restricted by the degree in each
    variable.

    Hence: Derive <math|k> and <math|l> by enumerating points in
    <math|\<bbb-Z\><rsup|n>> that are inside a certain polytope.

    <\example>
      Let us consider

      <\equation*>
        <tabular|<tformat|<table|<row|<cell|h
        :=>>|<row|<cell|>>>>><tabular|<tformat|<table|<row|<cell|
        <wide*|x<rsub|2>\<partial\><rsub|1>\<partial\><rsub|2>+\<partial\><rsub|1>|\<wide-underbrace\>>>>|<row|<cell|deg:
        <around*|[|1,0|]>>>>>> \<noplus\><tabular|<tformat|<table|<row|<cell|+<wide*|x<rsub|1>x<rsub|2>\<partial\><rsub|1><rsup|2>|\<wide-underbrace\>>>>|<row|<cell|deg:
        <around*|[|1,-1|]>>>>>><tabular|<tformat|<table|<row|<cell|+<wide*|4\<partial\><rsub|2>|\<wide-underbrace\>>>>|<row|<cell|deg:<around*|[|0,1|]>>>>>><tabular|<tformat|<table|<row|<cell|+<wide*|4x<rsub|1>\<partial\><rsub|1>|\<wide-underbrace\>>>>|<row|<cell|deg:
        <around*|[|0,0|]>>>>>><tabular|<tformat|<table|<row|<cell|\<in\>A<rsub|2>.>>|<row|<cell|>>>>>
      </equation*>

      One possible factorization of <math|x<rsub|2>\<partial\><rsub|1>\<partial\><rsub|2>+\<partial\><rsub|1>>
      is <math|\<partial\><rsub|2>\<cdot\>x<rsub|2>\<partial\><rsub|1>=:p<rsub|\<eta\><rsub|1>>\<cdot\>q<rsub|\<mu\><rsub|1>>>
      and, on the other end, <math|4x<rsub|1>\<partial\><rsub|1>> can be seen
      as <math|x<rsub|1>\<partial\><rsub|1>\<cdot\>4=:p<rsub|\<eta\><rsub|k>>\<cdot\>q<rsub|\<mu\><rsub|l>>>.

      <em|Concerning <math|p>:> No elements in <math|\<bbb-Z\><rsup|n>> can
      occur between <math|deg<around*|(|p<rsub|\<eta\><rsub|1>>|)>=<around*|[|0,1|]>>
      and <math|deg<around*|(|p<rsub|\<eta\><rsub|k>>|)>=<around*|[|0,0|]>>
      <math|\<Longrightarrow\> k=2>.

      <em|Concerning <math|q>:> the only degree that can occur between
      <math|deg<around*|(|q<rsub|\<mu\><rsub|1>>|)>=<around*|[|1,-1|]>> and
      <math|deg<around*|(|q<rsub|\<mu\><rsub|l>>|)> =<around*|[|0,0|]>> is
      <math|<around*|[|0,1|]>> <math|\<Longrightarrow\> l=3>.
    </example>
  </hidden>|<\hidden>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>> >

    <strong|What remains to be done...>

    ... is finding

    <\equation*>
      p<rsub|\<eta\><rsub|2>>,\<ldots\>,p<rsub|\<eta\><rsub|k-1>>,q<rsub|\<mu\><rsub|1>>,\<ldots\>,q<rsub|\<mu\><rsub|l-1>>.
    </equation*>

    <strong|Main idea:>

    <\itemize-dot>
      <item>Coefficient comparison of the abstract product <math|p\<cdot\>q>
      (known values inserted) with <math|h>

      <item>Reduce the coefficient comparison to a commutative problem
    </itemize-dot>

    Use Lemma <reference|lem:cyclicBiModule> and define for all <math|i
    \<in\><wide*|k|\<bar\>>> the polynomial
    <math|<wide|p|~><rsub|\<eta\><rsub|i>>\<in\>A<rsub|n><rsup|<around*|(|<wide*|0|\<bar\>>|)>>>
    by\ 

    <\equation*>
      <wide|p|~><rsub|\<eta\><rsub|i>>X<rsup|e<around*|(|\<eta\><rsub|i>|)>>D<rsup|w<around*|(|\<eta\><rsub|i>|)>>=p<rsub|\<eta\><rsub|i>>.
    </equation*>

    In the same way we define <math|<wide|q|~><rsub|\<mu\><rsub|j>>> for
    <math|j\<in\><wide*|l|\<bar\>>> and <math|<wide|h|~><rsub|z>> for
    <math|z\<in\>M>. Define <math|<wide|h|~><rsub|z>\<assign\>0> for
    <math|z\<nin\>M>.

    <\strong>
      We can refer to the <math|<wide|h|~><rsub|z>,<wide|p|~><rsub|\<eta\><rsub|i>>,<wide|q|~><rsub|\<mu\><rsub|j>>>
      as elements in the commutative ring
      <math|\<bbb-K\><around*|[|<wide*|\<theta\>|\<bar\>>|]>>!

      Their possible degree in the <math|\<theta\><rsub|t>> for <math|t
      \<in\><wide*|n|\<bar\>>> is bounded by
    </strong>

    <\equation*>
      min<around*|{|deg<rsub|x<rsub|t>><around*|(|h|)>,deg<rsub|\<partial\><rsub|t>><around*|(|h|)>|}>.
    </equation*>
  </hidden>|<\hidden>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>> >

    <\definition>
      For <math|\<alpha\>,\<beta\>\<in\>\<bbb-Z\><rsup|n>> we define
      <math|\<gamma\><rsub|\<alpha\>,\<beta\>>\<assign\><big|prod><rsub|\<kappa\>=1><rsup|n><wide|\<gamma\>|~><rsub|\<alpha\><rsub|\<kappa\>>,\<beta\><rsub|\<kappa\>>><rsup|<around*|(|\<kappa\>|)>>>,
      where for <math|a,b\<in\>\<bbb-Z\>> and
      <math|\<kappa\>\<in\><wide*|n|\<bar\>>>:

      <\equation*>
        <wide|\<gamma\>|~><rsub|a,b><rsup|<around*|(|\<kappa\>|)>>\<assign\><choice|<tformat|<table|<row|<cell|1,>|<cell|<text|if
        >a,b\<geqslant\>0 \<vee\>a,b\<leqslant\>0,>>|<row|<cell|<big|prod><rsub|\<tau\>=0><rsup|<left|\|>a<left|\|>-1><around*|(|\<theta\><rsub|\<kappa\>>-\<tau\>|)>,>|<cell|<text|if
        >a\<less\>0,b\<gtr\>0,<left|\|>a<left|\|>\<leqslant\><left|\|>b<left|\|>,>>|<row|<cell|<big|prod><rsub|\<tau\>=0><rsup|<left|\|>b<left|\|>-1><left|(>\<theta\><rsub|\<kappa\>>-\<tau\>-\|a<left|\|>+<left|\|>b<around*|\|||)>,>|<cell|<text|if
        >a\<less\>0,b\<gtr\>0,<around*|\||a|\|>\<gtr\><left|\|>b<left|\|>,>>|<row|<cell|<big|prod><rsub|\<tau\>=1><rsup|<left|\|>a<left|\|>><around*|(|\<theta\><rsub|\<kappa\>>+\<tau\>|)>,>|<cell|<text|if
        >a\<gtr\>0,b\<less\>0,<left|\|>a<left|\|>\<leqslant\><left|\|>b<left|\|>,>>|<row|<cell|<big|prod><rsub|\<tau\>=1><rsup|<left|\|>b<left|\|>><left|(>\<theta\><rsub|\<kappa\>>+\<tau\>
        +<left|\|>a\| -\|b<left|\|>,>|<cell|<text|if
        >a\<gtr\>0,b\<less\>0,<around*|\||a|\|>\<gtr\><left|\|>b<left|\|>.>>>>>
      </equation*>
    </definition>

    <\theorem>
      Suppose that, with before definied notation, we have
      <math|h=p<space|0>q> and <math|<wide|p|~><rsub|\<eta\><rsub|1>>,<wide|q|~><rsub|\<mu\><rsub|1>>,<wide|p|~><rsub|\<eta\><rsub|k>>,><math|<wide|q|~><rsub|\<mu\><rsub|l>>,<wide|h|~><rsub|z<rsup|<around*|(|1|)>>>,\<ldots\>,<wide|h|~><rsub|z<rsup|<around*|(|m|)>>>>
      are known.

      Then the remaining unknown <math|<wide|p|~><rsub|\<eta\><rsub|2>>,\<ldots\>,<wide|p|~><rsub|\<eta\><rsub|k-1>>\<nocomma\>,<wide|q|~><rsub|\<mu\><rsub|2>>,\<ldots\>,<wide|q|~><rsub|\<mu\><rsub|l-1>>>
      are polynomial solutions of the following finite set of equations:

      <\equation*>
        <around*|{|<big|sum><rsub|<tabular|<tformat|<table|<row|<cell|\<lambda\>,\<varrho\>\<in\><underline|k>\<times\><underline|l>>>|<row|<cell|\<eta\><rsub|\<lambda\>>+m<rsub|\<varrho\>>=z>>>>>><wide|p|~><rsub|\<eta\><rsub|\<lambda\>>><around*|(|<underline|\<theta\>>|)><wide|q|~><rsub|m<rsub|\<varrho\>>><around*|(|\<theta\><rsub|1>+<around*|(|\<eta\><rsub|\<lambda\>>|)><rsub|1>,\<ldots\>,\<theta\><rsub|n>+<around*|(|\<eta\><rsub|\<lambda\>>|)><rsub|n>|)>\<gamma\><rsub|n<rsub|\<lambda\>>,\<mu\><rsub|\<varrho\>>>=<wide|h|~><rsub|z>
        \| z \<in\>\<bbb-Z\><rsup|n>\<nocomma\>,z<rsup|<around*|(|1|)>>\<geqslant\>z\<geqslant\>z<rsup|<around*|(|m|)>>|}>.
      </equation*>
    </theorem>
  </hidden>|<\shown>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>>>

    <\strong>
      Summarizing:

      <\itemize>
        <item>Our factorization problem can be reduced to finding bounded
        polynomial solutions of difference equations.
      </itemize>
    </strong>

    We deal with finding those solutions by building a set of commutative,
    nonlinear polynomial systems of equations.

    <\example>
      <label|ex:finalEx>Let

      <\eqnarray*>
        <tformat|<table|<row|<cell|p>|<cell|\<assign\>>|<cell|<tabular|<tformat|<table|<row|<cell|<wide*|\<theta\><rsub|1>\<partial\><rsub|2>|\<wide-underbrace\>>>>|<row|<cell|<around*|[|0,1|]>>>>>>+<tabular|<tformat|<table|<row|<cell|<wide*|<around*|(|\<theta\><rsub|1>+3|)>\<theta\><rsub|2>|\<wide-underbrace\>>>>|<row|<cell|<space|3.2spc><around*|[|0,0|]>>>>>>+<tabular|<tformat|<table|<row|<cell|<wide*|x<rsub|2>|\<wide-underbrace\>>>>|<row|<cell|<around*|[|0,-1|]>>>>>>,>>|<row|<cell|q>|<cell|\<assign\>>|<cell|<tabular|<tformat|<table|<row|<cell|<wide*|<around*|(|\<theta\><rsub|1>+4|)>x<rsub|1>\<partial\><rsub|2>|\<wide-underbrace\>>>>|<row|<cell|<space|3spc><around*|[|-1,1|]>>>>>>+<tabular|<tformat|<table|<row|<cell|<space|2spc><wide*|x<rsub|1>|\<wide-underbrace\>>>>|<row|<cell|<around*|[|-1,0|]>>>>>>+<tabular|<tformat|<table|<row|<cell|<wide*|<around*|(|\<theta\><rsub|1>+1|)>x<rsub|1>x<rsub|2>|\<wide-underbrace\>>>>|<row|<cell|<space|1.8spc><around*|[|-1,-1|]>>>>>>\<in\>A<rsub|2><text|
        and>>>|<row|<cell|h>|<cell|:=>|<cell|p<space|0>q=\<theta\><rsub|1><around*|(|\<theta\><rsub|1>+4|)>x<rsub|1>\<partial\><rsub|2><rsup|2>>>|<row|<cell|>|<cell|>|<cell|+<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+8\<theta\><rsub|1>\<theta\><rsub|2>+\<theta\><rsub|1>+12\<theta\><rsub|2>|)>x<rsub|1>\<partial\><rsub|2>>>|<row|<cell|>|<cell|>|<cell|+<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+\<theta\><rsub|1><rsup|2>-\<theta\><rsub|1>+4\<theta\><rsub|1>\<theta\><rsub|2>+2\<theta\><rsub|1>+7\<theta\><rsub|2>|)>x<rsub|1>>>|<row|<cell|>|<cell|>|<cell|+<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+5\<theta\><rsub|1>\<theta\><rsub|2>+3\<theta\><rsub|2>+1|)>x<rsub|1>x<rsub|2>>>|<row|<cell|>|<cell|>|<cell|+<around*|(|\<theta\><rsub|1>+1|)>x<rsub|1>x<rsub|2><rsup|2>.>>>>
      </eqnarray*>
    </example>
  </shown>|<\hidden>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>>>

    <strong|Continuing Example 23:>

    Let us asssume that we have never seen <math|p> and <math|q> from the
    last slide, i.e. we only know <math|h>.

    By assumption we can derive

    <\eqnarray*>
      <tformat|<table|<row|<cell|p<rsub|<around*|[|0,1|]>>=p<rsub|\<eta\><rsub|1>>=\<theta\><rsub|1>\<partial\><rsub|2>>|<cell|,>|<cell|p<rsub|<around*|[|0,-1|]>>=p<rsub|\<eta\><rsub|3>>=x<rsub|2>,>>|<row|<cell|q<rsub|<around*|[|-1,1|]>>=q<rsub|\<mu\><rsub|1>>=<around*|(|\<theta\><rsub|1>+4|)>x<rsub|1>\<partial\><rsub|2>>|<cell|,>|<cell|q<rsub|<around*|[|-1,1|]>>=q<rsub|\<mu\><rsub|3>>=<around*|(|\<theta\><rsub|1>+1|)>x<rsub|1>x<rsub|2>>>>>
    </eqnarray*>

    from the different factorizations of

    <\equation*>
      h<rsub|<around*|[|-1,2|]>>=\<theta\><rsub|1><around*|(|\<theta\><rsub|1>+4|)>x<rsub|1>\<partial\><rsub|2><rsup|2><text|
      \ and \ >h<rsub|<around*|[|-1,-2|]>>=<around*|(|\<theta\><rsub|1>+1|)>x<rsub|1>x<rsub|2><rsup|2>.
    </equation*>

    Furthermore, we can set <math|k=l=3>.

    Our goal: <strong|Find <math|p<rsub|\<eta\><rsub|2>>> and
    <math|q<rsub|\<mu\><rsub|2>>>, or equivalently
    <math|<wide|p|~><rsub|\<eta\><rsub|2>>> and
    <math|<wide|q|~><rsub|\<mu\><rsub|2>>>!>

    Degree-bounds for <math|<wide|p|~><rsub|\<eta\><rsub|2>>> and
    <math|<wide|q|~><rsub|\<mu\><rsub|2>>> in <math|\<theta\><rsub|1>> and
    <math|\<theta\><rsub|2>>:

    <\equation*>
      deg<rsub|\<theta\><rsub|1>><around*|(|<wide|p|~><rsub|\<eta\><rsub|2>>|)>=deg<rsub|\<theta\><rsub|2>><around*|(|<wide|p|~><rsub|\<eta\><rsub|2>>|)>=deg<rsub|\<theta\><rsub|1>><around*|(|<wide|q|~><rsub|\<mu\><rsub|2>>|)>=deg<rsub|\<theta\><rsub|2>><around*|(|<wide|q|~><rsub|\<mu\><rsub|2>>|)>=2.
    </equation*>
  </hidden>|<\hidden>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>>>

    <strong|Continuing Example 23:>

    The product of <math|<around*|(|p<rsub|\<eta\><rsub|1>>+p<rsub|\<eta\><rsub|2>>+p<rsub|\<eta\><rsub|3>>|)>\<cdot\><around*|(|q<rsub|\<mu\><rsub|1>>+q<rsub|\<mu\><rsub|2>>+q<rsub|\<mu\><rsub|3>>|)>>
    with known values inserted is

    <\eqnarray*>
      <tformat|<table|<row|<cell|>|<cell|>|<cell|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>+4|)>x<rsub|1>\<partial\><rsub|2><rsup|2>>>|<row|<cell|>|<cell|+>|<cell|<around*|(|\<theta\><rsub|1><wide|q|~><rsub|\<mu\><rsub|2>><around*|(|\<theta\><rsub|1>,\<theta\><rsub|2>+1|)>+<wide|p|~><rsub|\<eta\><rsub|2>><around*|(|\<theta\><rsub|1>+4|)>|)>x<rsub|1>\<partial\><rsub|2>>>|<row|<cell|>|<cell|+>|<cell|<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>+1|)><around*|(|\<theta\><rsub|2>+1|)>+<around*|(|\<theta\><rsub|1>+4|)>\<theta\><rsub|2>+<wide|p|~><rsub|\<eta\><rsub|2>><wide|q|~><rsub|m<rsub|2>>|)>x<rsub|1>>>|<row|<cell|>|<cell|+>|<cell|<around*|(|<wide|q|~><rsub|\<mu\><rsub|2>><around*|(|\<theta\><rsub|1>,\<theta\><rsub|2>-1|)>+<wide|p|~><rsub|\<eta\><rsub|2>><around*|(|\<theta\><rsub|1>+1|)>|)>x<rsub|1>x<rsub|2>>>|<row|<cell|>|<cell|+>|<cell|<around*|(|\<theta\><rsub|1>+1|)>x<rsub|1>x<rsub|2><rsup|2>.>>>>
    </eqnarray*>

    The <math|A<rsub|n><rsup|<around*|(|0|)>>>-factor in every homogeneous
    summand of the above product has to coincide with the
    <math|A<rsub|n><rsup|<around*|(|0|)>>>-factor in every homogeneous
    summand of <math|h>, i.e.

    <\equation*>
      <tabular|<tformat|<table|<row|<cell|>|<cell|>|<cell|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>+4|)>x<rsub|1>\<partial\><rsub|2><rsup|2>>>|<row|<cell|>|<cell|+>|<cell|<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+8\<theta\><rsub|1>\<theta\><rsub|2>+\<theta\><rsub|1>+12\<theta\><rsub|2>|)>x<rsub|1>\<partial\><rsub|2>>>|<row|<cell|>|<cell|+>|<cell|<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+\<theta\><rsub|1><rsup|2>-\<theta\><rsub|1>+4\<theta\><rsub|1>\<theta\><rsub|2>+2\<theta\><rsub|1>+7\<theta\><rsub|2>|)>x<rsub|1>>>|<row|<cell|>|<cell|+>|<cell|<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+5\<theta\><rsub|1>\<theta\><rsub|2>+3\<theta\><rsub|2>+1|)>x<rsub|1>x<rsub|2>>>|<row|<cell|>|<cell|+>|<cell|<around*|(|\<theta\><rsub|1>+1|)>x<rsub|1>x<rsub|2><rsup|2>.>>>>>
    </equation*>
  </hidden>|<\hidden>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>>>

    <strong|Continuing Example 23:>

    The equations that we are looking at:

    <\equation*>
      <tabular|<tformat|<cwith|2|2|1|1|cell-width|300pt>|<cwith|2|2|1|1|cell-hmode|exact>|<cwith|4|4|1|-1|cell-background|pastel
      green>|<cwith|2|2|1|-1|cell-background|pastel
      green>|<table|<row|<cell|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>+4|)>>|<cell|=>|<cell|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>+4|)>,>>|<row|<cell|<around*|(|\<theta\><rsub|1><wide|q|~><rsub|\<mu\><rsub|2>><around*|(|\<theta\><rsub|1>,\<theta\><rsub|2>+1|)>+<wide|p|~><rsub|\<eta\><rsub|2>><around*|(|\<theta\><rsub|1>+4|)>|)>>|<cell|=>|<cell|<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+8\<theta\><rsub|1>\<theta\><rsub|2>+\<theta\><rsub|1>+12\<theta\><rsub|2>|)>,>>|<row|<cell|<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>+1|)><around*|(|\<theta\><rsub|2>+1|)>+<around*|(|\<theta\><rsub|1>+4|)>\<theta\><rsub|2>+<wide|p|~><rsub|\<eta\><rsub|2>><wide|q|~><rsub|m<rsub|2>>|)><rsub|>>|<cell|=>|<cell|<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+\<theta\><rsub|1><rsup|2>-\<theta\><rsub|1>+4\<theta\><rsub|1>\<theta\><rsub|2>+2\<theta\><rsub|1>+7\<theta\><rsub|2>|)>,>>|<row|<cell|<around*|(|<wide|q|~><rsub|\<mu\><rsub|2>><around*|(|\<theta\><rsub|1>,\<theta\><rsub|2>-1|)>+<wide|p|~><rsub|\<eta\><rsub|2>><around*|(|\<theta\><rsub|1>+1|)>|)>>|<cell|=>|<cell|<around*|(|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+5\<theta\><rsub|1>\<theta\><rsub|2>+3\<theta\><rsub|2>+1|)>,>>|<row|<cell|<around*|(|\<theta\><rsub|1>+1|)>>|<cell|=>|<cell|<around*|(|\<theta\><rsub|1>+1|)>.>>>>>
    </equation*>

    \;

    At the top and at the bottom, we can transform the equations such that
    <math|<wide|p|~><rsub|\<eta\><rsub|2>>> is on the left hand side. This
    leads to two identities of <math|<wide|p|~><rsub|\<eta\><rsub|2>>>:

    <\eqnarray*>
      <tformat|<table|<row|<cell|<wide|p|~><rsub|\<eta\><rsub|2>>>|<cell|=>|<cell|<frac|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+8\<theta\><rsub|1>\<theta\><rsub|2>+\<theta\><rsub|1>+12\<theta\><rsub|2>-\<theta\><rsub|1><wide|q|~><rsub|\<mu\><rsub|2>><around*|(|\<theta\><rsub|1>,\<theta\><rsub|2>+1|)>|\<theta\><rsub|1>+4>>>|<row|<cell|>|<cell|=>|<cell|<frac|\<theta\><rsub|1><around*|(|\<theta\><rsub|1>-1|)>\<theta\><rsub|2>+5\<theta\><rsub|1>\<theta\><rsub|2>+3\<theta\><rsub|2>+1-<wide|q|~><rsub|\<mu\><rsub|2>><around*|(|\<theta\><rsub|1>,\<theta\><rsub|2>-1|)>|\<theta\><rsub|1>+1>.>>>>
    </eqnarray*>

    The polynomial <math|<wide|q|~><rsub|\<mu\><rsub|2>>> has to fulfill both
    identities.
  </hidden>|<\hidden>
    <tit|Factoring Arbitrary Polynomials in <math|A<rsub|n>>>

    \;

    <strong|Continuing Example 23:>

    Last step:

    Knowledge of degree bounds <math|\<Longrightarrow\>> build nonlinear
    system of equations in the coefficients in <math|\<bbb-K\>> of
    <math|<wide|q|~><rsub|\<mu\><rsub|2>>>.

    Calculate reduced Grbner basis of the associated ideal of this system of
    equations and obtain

    <\equation*>
      <wide|q|~><rsub|\<mu\><rsub|2>>=1
    </equation*>

    as a unique solution. Plug that into the equations for
    <math|<wide|p|~><rsub|\<eta\><rsub|2>>> and get:

    <\equation*>
      <wide|p|~><rsub|\<eta\><rsub|2>>=<around*|(|\<theta\><rsub|1>+3|)>\<theta\><rsub|2>.
    </equation*>

    Thus, we have exactly recovered both <math|p> and <math|q> in the initial
    factorization of <math|h>.
  </hidden>|<\hidden>
    <tit|Implementation in <name|Singular>>

    <section|Implementation in <name|Singular>>

    <\itemize>
      <item>For <math|A<rsub|1>>, <math|\<cal-S\><rsub|1>> and graded
      polynomials in <math|Q<rsub|1>>, factorization algorithms are
      implemented and distributed with <name|Singular> since version 3-1-3.
      (<verbatim|ncfactor.lib>; Major changes in 3-1-6)

      <item>For the purpose of evaluating the performance of our method, we
      implemented it in <name|Singular>. Current status: We can factor
      elements in Weyl algebras and in shift algebras

      <item>Related work: For <math|A<rsub|n>> and <math|\<cal-S\><rsub|n>>
      with <math|n\<gtr\>1>, the only other computer algebra system that can
      perform factorization is <name|Reduce> (package <verbatim|NCPOLY>
      <cite|Melenk:1994>). The algebras <math|Q<rsub|n>> are not supported by
      that package. <verbatim|NCPOLY> is not developed further at the moment

      <item>Related work: Concerning <math|A<rsub|1>>, <name|Maple>'s
      <cite|Maple> <verbatim|DETools> package contains functions to factor
      elements in the rational first Weyl algebra
    </itemize>

    \;

    \;

    <strong|<center|DEMO>>

    \;
  </hidden>|<\hidden>
    <tit|Comparison to Other Computer Algebra Systems>

    <\itemize>
      <item>For homogeneous polynomials in the first Weyl algebra, we have
      shown in <cite|heinle2013factorization> that in our implementation
      outperforms the other implementations. Furthermore, the output produced
      is more human-readable

      <item>For homogeneous polynomials in <math|A<rsub|n>>, consider the
      following examples:

      <\eqnarray*>
        <tformat|<table|<row|<cell|h<rsub|1>>|<cell|\<assign\>>|<cell|x<rsub|1>x<rsub|2><rsup|2>x<rsub|3><rsup|3>\<partial\><rsub|1>\<partial\><rsub|2><rsup|2>+x<rsub|2>x<rsub|3><rsup|3>\<partial\><rsub|2>,>>|<row|<cell|h<rsub|2>>|<cell|\<assign\>>|<cell|(x<rsub|1><rsup|2>\<partial\><rsub|1>+x<rsub|1>x<rsub|2>\<partial\><rsub|2>)(\<partial\><rsub|1>\<partial\><rsub|2>+
        \<partial\><rsub|1><rsup|2>\<partial\><rsub|2><rsup|2>x<rsub|1>*x<rsub|2>).>>>>
      </eqnarray*>

      Both <math|h<rsub|1>> and <math|h<rsub|2>> were factorized by our
      implementation within a second. <name|Reduce> did not terminate after
      two hours of computation

      <item>For inhomogeneous polynomials in the first Weyl algebra, each
      computer algebra system has a set of examples it performs the best on.
      In general, the performance appears to be comparable

      <item>For inhomogeneous polynomials in <math|A<rsub|n>>, consider
      <math|h<rsub|3>\<assign\><around*|(|\<partial\><rsub|1>+1|)><rsup|2><around*|(|\<partial\><rsub|1>+x<rsub|1>\<partial\><rsub|2>|)>>
      <cite|landau1902satz> and the polynomial from Example
      <reference|ex:finalEx>.

      <name|Reduce> takes one second to factorize <math|h<rsub|3>>, our
      implementation takes three seconds. <name|Reduce> does not terminate on
      Example <reference|ex:finalEx> within two hours, our implementation
      takes 23.48s.
    </itemize>
  </hidden>|<\hidden>
    <tit|Conclusion>

    <section|Conclusion>

    <\itemize>
      <item>Some not intuitive examples concerning non-commutative
      factorization were shown

      <item>An approach for factoring polynomials in the operator algebras
      <math|A<rsub|n>\<nocomma\>,\<cal-S\><rsub|n>> and <math|Q<rsub|n>>
      based on nontrivial <math|\<bbb-Z\><rsup|n>> grading has been presented

      <item>We have seen a promising evaluation of an experimental
      implementation in <name|Singular>

      <item>Future work: Extend and improve the experimental implementation.
      Submission to the <name|Singular> team in the course of 2014

      <item>Future work: Apply our technique to other operator algebras

      <item>Future work: Apply technique to rational Weyl algebras

      We know that we can ``lift'' factorizations in the rational Weyl
      algebras into polynomial ones. The challenge is to find a suitable
      element in <math|\<bbb-K\><around*|[|x<rsub|1>,\<ldots\>,x<rsub|n>|]>>
      which we can multiply to the element from the left to lift a reducible
      polynomial a rational Weyl algebra, that is irreducible in the
      respective polynomial Weyl algebra
    </itemize>
  </hidden>|<\hidden>
    <\bibliography|bib|tm-alpha|./facnthweyl.bib>
      <\bib-list|10>
        <bibitem*|BGV03><label|bib-Bueso:2003>J.<nbsp>Bueso,
        J.<nbsp>Gmez-Torrecillas<localize| and
        >A.<nbsp>Verschoren.<newblock> <with|font-shape|italic|Algorithmic
        methods in non-commutative algebra. Applications to quantum
        groups.><newblock> Dordrecht: Kluwer Academic Publishers,
        2003.<newblock>

        <bibitem*|BOH+08><label|bib-Maple>M.<nbsp>B.Monagan,
        K.<nbsp>O.Geddes, K.<nbsp>M.<nbsp>Heal, G.<nbsp>Labahn,
        S.<nbsp>M.Vorkoetter, J.<nbsp>McCarron<localize| and
        >P.<nbsp>DeMarco.<newblock> <with|font-shape|italic|Maple
        Introductory Programming Guide>.<newblock> Maplesoft, 2008.<newblock>

        <bibitem*|HL13><label|bib-heinle2013factorization>Albert<nbsp>Heinle<localize|
        and >Viktor<nbsp>Levandovskyy.<newblock> Factorization of
        <math|<with|math-font|Bbb|Z>>-homogeneous polynomials in the first
        <math|<around|(|q|)>->Weyl algebra.<newblock>
        <with|font-shape|italic|ArXiv preprint arXiv:1302.5674>, ,
        2013.<newblock>

        <bibitem*|Kas83><label|bib-Kashiwara:1983>M.<nbsp>Kashiwara.<newblock>
        Vanishing cycle sheaves and holonomic systems of differential
        equations.<newblock> <localize|In ><with|font-shape|italic|Algebraic
        Geometry>. Springer, 1983.<newblock>

        <bibitem*|Koe98><label|bib-Koepf:1998>W.<nbsp>Koepf.<newblock>
        <with|font-shape|italic|Hypergeometric summation. An algorithmic
        approach to summation and special function identities.><newblock>
        Wiesbaden: Vieweg, 1998.<newblock>

        <bibitem*|Lan02><label|bib-landau1902satz>Edmund<nbsp>Landau.<newblock>
        Ein Satz ber die Zerlegung homogener linearer
        Differentialausdrücke in irreductible Factoren.<newblock>
        <with|font-shape|italic|Journal für die reine und angewandte
        Mathematik>, 124:115--120, 1902.<newblock>

        <bibitem*|MA94><label|bib-Melenk:1994>H.<nbsp>Melenk<localize| and
        >J.<nbsp>Apel.<newblock> <with|font-shape|italic|REDUCE package
        NCPOLY: Computation in non-commutative polynomial ideals.><newblock>
        Konrad-Zuse-Zentrum Berlin (ZIB), 1994.<newblock>

        <bibitem*|Mal83><label|bib-Malgrange:1983>B.<nbsp>Malgrange.<newblock>
        Polynmes de Bernstein-Sato et cohomologie evanescente.<newblock>
        <with|font-shape|italic|Astrisque>, 101-102:243--267,
        1983.<newblock>

        <bibitem*|Tsa00><label|bib-Tsai:2000>H.<nbsp>Tsai.<newblock> Weyl
        closure of a linear differential operator.<newblock>
        <with|font-shape|italic|J. Symb. Comput.>, 29(4-5):747--775,
        2000.<newblock>

        <bibitem*|vH97><label|bib-van1997formal>M.<nbsp>van<nbsp>Hoeij.<newblock>
        Formal solutions and factorization of differential operators with
        power series coefficients.<newblock> <with|font-shape|italic|J. Symb.
        Comput.>, 24(1):1--30, 1997.<newblock>
      </bib-list>
    </bibliography>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|preamble|false>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-10|<tuple|3|?>>
    <associate|auto-11|<tuple|3|?>>
    <associate|auto-12|<tuple|3.1|?>>
    <associate|auto-13|<tuple|3.2|?>>
    <associate|auto-14|<tuple|4|?>>
    <associate|auto-15|<tuple|5|?>>
    <associate|auto-16|<tuple|<with|mode|<quote|math>|\<bullet\>>|?>>
    <associate|auto-2|<tuple|2|?>>
    <associate|auto-3|<tuple|1|?>>
    <associate|auto-4|<tuple|2.1|?>>
    <associate|auto-5|<tuple|2.2|?>>
    <associate|auto-6|<tuple|2.3|?>>
    <associate|auto-7|<tuple|2.4|?>>
    <associate|auto-8|<tuple|2|?>>
    <associate|auto-9|<tuple|2.5|?>>
    <associate|bib-Bueso:2003|<tuple|BGV03|?>>
    <associate|bib-Kashiwara:1983|<tuple|Kas83|?>>
    <associate|bib-Koepf:1998|<tuple|Koe98|?>>
    <associate|bib-Malgrange:1983|<tuple|Mal83|?>>
    <associate|bib-Maple|<tuple|BOH+08|?>>
    <associate|bib-Melenk:1994|<tuple|MA94|?>>
    <associate|bib-Tsai:2000|<tuple|Tsa00|?>>
    <associate|bib-heinle2013factorization|<tuple|HL13|?>>
    <associate|bib-landau1902satz|<tuple|Lan02|?>>
    <associate|bib-van1997formal|<tuple|vH97|?>>
    <associate|commutationTheta|<tuple|14|?>>
    <associate|ex:finalEx|<tuple|26|?>>
    <associate|firstHeading|<tuple|3|?>>
    <associate|heinle2013factorization|<tuple|<with|mode|<quote|math>|\<bullet\>>|?>>
    <associate|lem:cyclicBiModule|<tuple|19|?>>
    <associate|lem:rewriteTheta|<tuple|17|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      Kashiwara:1983

      Malgrange:1983

      van1997formal

      Bueso:2003

      Tsai:2000

      heinle2013factorization

      Koepf:1998

      Melenk:1994

      Maple

      heinle2013factorization

      landau1902satz
    </associate>
    <\associate|figure>
      <tuple|normal|Picture generated on <locus|<id|%CF8B1B4-376C514>|<link|hyperlink|<id|%CF8B1B4-376C514>|<url|>>|memegenerator.net>|<pageref|auto-3>>

      <tuple|normal|Picture taken from <locus|<id|%CF8B1B4-3778120>|<link|hyperlink|<id|%CF8B1B4-3778120>|<url|>>|http://www.theoi.com/>|<pageref|auto-8>>

      <tuple|normal|Picture from <locus|<id|%CF8B1B4-3779484>|<link|hyperlink|<id|%CF8B1B4-3779484>|<url|http://www.empireonline.com/>>|http://www.empireonline.com/>|<pageref|auto-10>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|1<space|2spc>Basic
      Notations and Definitions> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|0.5fn>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|2<space|2spc>Noncommutative
      Factorization Horror> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2><vspace|0.5fn>

      <with|par-left|<quote|1tab>|2.1<space|2spc>The Appearance of Distinct
      Factorizations <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-4>>

      <with|par-left|<quote|1tab>|2.2<space|2spc>Number of Distinct
      Factorizations in Polynomial Weyl Algebras
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-5>>

      <with|par-left|<quote|1tab>|2.3<space|2spc>The rational Weyl algebra
      vs. the polynomial Weyl algebra <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-6>>

      <with|par-left|<quote|1tab>|2.4<space|2spc>The Weyl-Hydra
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-7>>

      <with|par-left|<quote|1tab>|2.5<space|2spc>The Shapeshifter (thanks to
      D. Rettstadt) <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-9>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|3<space|2spc>Factorization
      in <with|color|<quote|#602020>|<with|mode|<quote|math>|A<rsub|n>>>>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-11><vspace|0.5fn>

      <with|par-left|<quote|1tab>|3.1<space|2spc>Homogeneous Factorization
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-12>>

      <with|par-left|<quote|1tab>|3.2<space|2spc>Factoring Arbitrary
      Polynomials in <with|color|<quote|#602020>|<with|mode|<quote|math>|A<rsub|n>>>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-13>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|4<space|2spc>Implementation
      in <with|font-family|<quote|rm>|font-shape|<quote|small-caps>|Singular>>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-14><vspace|0.5fn>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|5<space|2spc>Conclusion>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-15><vspace|0.5fn>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|Bibliography>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-16><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>